DialectChecks (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing
Class DialectChecks

    java.lang.Object
      org.hibernate.testing.DialectChecks

    public abstract class DialectChecks

extends Object

Container class for different implementation of the `DialectCheck` interface.

Nested Class Summary
`static class` | `DialectChecks.CaseSensitiveCheck`
`static class` | `DialectChecks.DoesReadCommittedCauseWritersToBlockReadersCheck`
`static class` | `DialectChecks.DoesReadCommittedNotCauseWritersToBlockReadersCheck`
`static class` | `DialectChecks.DoesRepeatableReadCauseReadersToBlockWritersCheck`
`static class` | `DialectChecks.DoesRepeatableReadNotCauseReadersToBlockWritersCheck`
`static class` | `DialectChecks.HasSelfReferentialForeignKeyBugCheck`
`static class` | `DialectChecks.SupportLimitAndOffsetCheck`
`static class` | `DialectChecks.SupportLimitCheck`
`static class` | `DialectChecks.SupportNotNullUnique`
`static class` | `DialectChecks.SupportsCircularCascadeDeleteCheck`
`static class` | `DialectChecks.SupportsColumnCheck`
`static class` | `DialectChecks.SupportsEmptyInListCheck`
`static class` | `DialectChecks.SupportsExistsInSelectCheck`
`static class` | `DialectChecks.SupportsExpectedLobUsagePattern`
`static class` | `DialectChecks.SupportsIdentityColumns`
`static class` | `DialectChecks.SupportsLobValueChangePropogation`
`static class` | `DialectChecks.SupportsParametersInInsertSelectCheck`
`static class` | `DialectChecks.SupportsResultSetPositioningOnForwardOnlyCursorCheck`
`static class` | `DialectChecks.SupportsRowValueConstructorSyntaxInInListCheck`
`static class` | `DialectChecks.SupportsSequences`
`static class` | `DialectChecks.SupportSubqueryAsLeftHandSideInPredicate`
`static class` | `DialectChecks.SupportsUnboundedLobLocatorMaterializationCheck`

Constructor Summary
`DialectChecks()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialectChecks

    public DialectChecks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.